Try MAXST AR Fusion Tracker Now ✨
List
Gradle error - Android build
Posted Date: 2021-03-13 16:05     Edited Date: 2021-03-18 7:20     Writer: georgi

Please provide your development details as below;

1. SDK Version: 5.0.3
2. Development Environment: Unity-Android
3. Tracker/Scanner: Image tracker
4. License Type(Free / Pro-One Time Fee / Pro-Subscription / Enterprise): Free but with probability to upgrade if we fix this issue
5. Target Device(Optional):

We can assist better if you attach screenshots of issues.

Hello,

We have a problem when trying to build the sample app from the SDK with XR Plugin enabled. Things we've tried:

Building without XR Plugin with MAXST SDK: camera not working
Building with XR Plugin with MAXST SDK: same gradle error
Building without MAXST SDK with XR Plugin: works fine
Switching unity versions: same gradle error
Switching different pc: same gradle error


We are working on a client project and we cannot upgrade license if we don't fix this issue.

Thank you :) 

Posted Date: 2021-03-18 7:20     Edited Date: 2021-03-18 7:20     Writer: sjkim

Thank you for your interest in MAXST AR SDK.

 

This error isn't related to our MAXST AR SDK. 

 

This error is related to java version at Unity.

You can fix the "Gradle build failed" error by installing the Java SE Development Kit 8.

Please recheck a JDK version in Preferences/External Tools.

 

 

Best regards,

Francisco

MAXST Support Team